<header id="navigation-area">
    <ul class="nav-navbar" >
        <li id="menu-img"><a [routerLink]="['/']"><img src="./../../assets/logo.png"></a></li>
        <li class="menu-bar"><a [routerLink]="['/most_popular']">Most popular</a></li>   
        <li class="menu-bar" ><a [routerLink]="['/top_ranked']">Top ranked</a></li>
        <li class="menu-bar" ><a [routerLink]="['/genre']">Genre</a></li>

        <li class="menu-bar"  *ngIf="currentUser()"><a [routerLink]="['/my_favourites']">My favourites</a></li>
        <li class="menu-bar"  *ngIf="currentUser()"> <a [routerLink]="['/recommended']">Recommended</a></li>

        <li style="float:right; padding-top: 5px; margin-left: 10px; margin-right: 5px;" >
            <a [routerLink] = "['/login']" *ngIf="!currentUser()"><i class="user circle icon huge "></i></a>
            <a [routerLink] = "['/user_profile']" *ngIf="currentUser()" ><i class="user circle icon huge "></i></a>
        </li>
        <li class="ui icon input" style="float:right; padding-top: 15px;">  
            <input type="text" placeholder="Search..." (keydown.enter)="onKeydown($event)">
            <i class="circular search link icon" style="margin-top:15px; "></i></li>
    </ul> 
</header>



